Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.util
Class RelationshipFault

    java.lang.Object
      org.apache.cayenne.util.RelationshipFault

Direct Known Subclasses:
  PersistentObjectHolder, PersistentObjectList, PersistentObjectMap, PersistentObjectSet

    public abstract class RelationshipFault

extends Object

An abstract superclass of lazily faulted to-one and to-many relationships.

Since:
  1.2

Field Summary
`protected String` | `relationshipName`
`protected Persistent` | `relationshipOwner`

Constructor Summary
`protected` | `RelationshipFault()`
`` | `RelationshipFault(Persistent relationshipOwner, String relationshipName)`

Method Summary
`String` | `getRelationshipName()`
`Persistent` | `getRelationshipOwner()`
`protected boolean` | `isTransientParent()`
`protected boolean` | `isUncommittedParent()`
`protected List` | `resolveFromDB()` Executes a query that returns related objects.
`protected void` | `updateReverse(List resolved)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### relationshipOwner

    protected Persistent relationshipOwner

### relationshipName

    protected String relationshipName

Constructor Detail

### RelationshipFault

    protected RelationshipFault()

### RelationshipFault

    public RelationshipFault(Persistent relationshipOwner,
                             String relationshipName)

Method Detail

### getRelationshipName

    public String getRelationshipName()

### getRelationshipOwner

    public Persistent getRelationshipOwner()

### isTransientParent

    protected boolean isTransientParent()

### isUncommittedParent

    protected boolean isUncommittedParent()

### resolveFromDB

    protected List resolveFromDB()

  Executes a query that returns related objects. Subclasses would invoke this method whenever they need to resolve a fault.

### updateReverse

    protected void updateReverse(List resolved)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.